{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'pasien_rawat/style.css' %}" />
    <title>Daftar Pasien Rawat</title>
{% endblock meta %}

{% block content %}
<div class = "js-pasien-rawat-template d-flex flex-column justify-content-center align-items-center">
    <p id = "title" class = "montserrat-regular large-font margin-top-4">Data Diri Pasien</p>
    <form class = "js-pasien-rawat-form full-size padding-4" action = "{% url 'pasien_rawat:pasien_rawat-submitform' %}" enctype="multipart/form-data">
        {% csrf_token %}
        <div class = "d-flex flex-column">
            <p class = "montserrat-regular medium-font">Nama</p>
            {{ pasien_rawat_form.nama }}
        </div>
        <div class = "d-flex flex-column margin-top-2">
            <p class = "montserrat-regular medium-font">No Telepon / HP</p>
            {{ pasien_rawat_form.nomor_telepon }}
        </div>
        <div class = "d-flex flex-column margin-top-2">
            <p class = "montserrat-regular medium-font">Alamat</p>
            {{ pasien_rawat_form.alamat }}
        </div>
        <div class = "d-flex flex-column margin-top-2">
            <p class = "montserrat-regular medium-font">RS</p>
            {{ pasien_rawat_form.nama_rumah_sakit }}
        </div>
        <div class = "d-flex flex-row margin-top-4">
            <p class = "montserrat-regular medium-font">Dokumen hasil test</p>
            <div class = "js-upload-button-div image-upload margin-left-4" style = "width: fit-content">
                {{ pasien_rawat_form.dokumen_hasil_test }}
                <img class = "js-upload-button full-size" src="/static/pasien_rawat/svg/upload.svg" alt = "upload">
            </div>
        </div>
        <div id = "button" class = "d-flex justify-content-center align-items-center" style = "width: fit-content;">
            <input class = "js-submit-button full-size" style = "width: max-content" type="image" src="/static/pasien_rawat/svg/submit.svg" alt="Submit"/>
        </div>
    </form>
    {% if provinsi_yang_tersedia %}
    <div class = "d-flex flex-column full-size padding-4 margin-top-4">
        <div id = "grey" class = "color-0 padding-half">
            <div class = "color-2">
                <p class = "montserrat-medium medium-font padding-1 margin-left-2">Rumah sakit yang tersedia</p>
            </div>
            {% for provinsi in provinsi_yang_tersedia %}
            <div class = "color-1">
                <a href="{% url 'datars:datars-detailrs' provinsi %}">
                    <p class = "montserrat-regular small-font padding-2 margin-left-1">{{ provinsi }}</p>
                </a>
            </div>
            {% endfor %}
        </div>
    </div>
    {% endif %}
</div>
{% endblock content %}

{% block javascript %}
    <script src = "{% static 'pasien_rawat/index.js' %}"></script>
{% endblock javascript %}
